#
# spec file for package kalsatools (Version 0.0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel gpp gppshare kdelibs kdelibs-devel ladspa libgpp libjpeg liblcms libmng libmng-devel libmpeg3 libpng mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs kdelibs-devel ladspa less libgpp libjpeg liblcms libmng libmng-devel libmpeg3 libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kalsatools
Copyright:    GPL
Group:        Applications/Sound
# Provides:    
Requires:     ladspa    
BuildRoot:    /var/tmp/%{name}-%{version}-root
Autoreqprov:  on
Version:      0.0.7
Release:      61
Summary:      KDE tools for ALSA
Source:       kaconnect-%{version}.tar.bz2
Source1:      kladspa-%{version}.tar.bz2

%description
This first version of kalsatools only implements "kaconnect", which
is a KDE version of "aconnect". "kaconnect" displays all ports of the
ALSA MIDI sequencer and allows to subscribe and unsubscribe connections
among them.

SuSE series: snd

%prep
%setup -c -n kalsatools-%{version} -T -a 0 -a 1
cd kladspa*

%build
cd kaconnect*
make -f make_kaconnect
cd ..
cd kladspa*
make -f make_kladspa
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cd kaconnect*
install -D -o root -g root -m 755 -s kaconnect $RPM_BUILD_ROOT/opt/kde2/bin/kaconnect
cd ..
cd kladspa*
install -D -o root -g root -m 755 -s kladspa $RPM_BUILD_ROOT/opt/kde2/bin/kladspa
cd ..
cd kaconnect*
cp COPYING README THANKS $RPM_BUILD_ROOT%{_docdir}/%{name} 
cd ..
cd kladspa*
cp kladsparc_example $RPM_BUILD_ROOT%{_docdir}/%{name} 
cd $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/opt/kde2/bin/*
%doc %{_docdir}/%{name}

%changelog -n kalsatools
* Wed Sep 19 2001 - mana@suse.de
- Added missing Requires: ladspa
* Mon Sep 10 2001 - mana@suse.de
- Kladspa: added documentation in README
- Kladspa: fixed rewind of mp3 songs
- Kladspa: correct client name set
- Kladspa: debug fprintf's disabled
- Kladspa: if no config file use default
- Kladspa: nonblocking option added to fix capture problems
- Kladspa: fixed resize of MIDI window
* Mon Sep 03 2001 - mana@suse.de
- update to 0.0.6
- Fixed bug concerning capturing in SCHED_FIFO mode
* Thu Aug 16 2001 - mana@suse.de
- update to 0.0.5
- added support for multiple ladspa .so in KLadspa
- MIDI support extended in KLadspa
* Tue Aug 14 2001 - mana@suse.de
- update to 0.0.4
- added MIDI-driven effect processor KLadspa
* Wed Apr 25 2001 - mana@suse.de
- update to 0.0.3, ONLY added doc files: COPYING README THANKS
* Thu Apr 12 2001 - mana@suse.de
- update to 0.0.2
* Wed Apr 11 2001 - mana@suse.de
- initial package kalsatools-0.0.1
